
const OracleService = require('../service/OracleService')

class acmUpdExtratoConsModel {
    constructor() {
        this.GET_ACMUPDEXTRATOCONS = `
            UPDATE EXTRATOCONS SET DTULTATUEXT = SYSDATE WHERE DTULTATUEXT IS NULL
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ACMUPDEXTRATOCONS, params);
        })
    }
}  

module.exports = new acmUpdExtratoConsModel();