const OracleService = require("../service/OracleService");

class adqVerificaNOVOCODNFCEModel {
  constructor() {
    this.GET_ADQVERIFICANOVOCODNFCE = `
          SELECT *
            FROM NOVOCODIGO
           WHERE CDCONTADOR = :P_CDCONTADOR
             AND NRSEQUENCIAL > :P_NRSEQUENCIAL
          `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQVERIFICANOVOCODNFCE, params);
    });
  }
}

module.exports = new adqVerificaNOVOCODNFCEModel();
