
const OracleService = require('../service/OracleService')

class adqVerifLimpezaModel {
    constructor() {
        this.GET_ADQVERIFLIMPEZA = `
            SELECT DTULTIMALIMPEZA
              FROM CAIXA
             WHERE CDFILIAL = :P_CDFILIAL
               AND CDCAIXA  = :P_CDCAIXA
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQVERIFLIMPEZA, params);
        })
    }
}  

module.exports = new adqVerifLimpezaModel();