class SocketRooms {
    master = {
        default: 'ASSISTANT_MASTER_ROOM',
        monitoringPage: 'ASSISTANT_MASTER_MONITORING_ROOM',
        updatesPage: 'ASSISTANT_MASTER_UPDATES_ROOM',
        updatesPerCasherPage: 'ASSISTANT_MASTER_UPDATES_PER_CASHER_ROOM',
        parametrizacoesPage: 'ASSISTANT_MASTER_PARAMETRIZACOES_ROOM',
        monitoringCloudPage: 'ASSISTANT_MASTER_MONITORING_CLOUD_ROOM',
        serviceManagement: 'ASSISTANT_MASTER_SERVICE_MANAGEMENT',
        downloadLogFile: (CDFILIAL, CDCAIXA = null) => {
            if (CDCAIXA) return `ASSISTANT_MASTER_UPDATER_DOWNLOAD_LOGS_${CDFILIAL}_${CDCAIXA}`
            return `ASSISTANT_MASTER_UPDATER_DOWNLOAD_LOGS_${CDFILIAL}`;
        },
        downloadLogTxt: (CDFILIAL, CDCAIXA = null) => {
            let room = `ASSISTANT_MASTER_DOWNLOAD_LOG_TXT_${CDFILIAL}`;
            if(CDCAIXA) room = `${room}_${CDCAIXA}`;
            return room;
        },
        downloadLogZip: (CDFILIAL, CDCAIXA = null) => {
            let room = `ASSISTANT_MASTER_DOWNLOAD_LOG_ZIP_${CDFILIAL}`;
            if (CDCAIXA) room = `${room}_${CDCAIXA}`
            return room;
        }
    }
    updater = {
        default: 'ASSISTANT_UPDATER_ROOM',
        log: (CDFILIAL, CDCAIXA = null) => {
            let room = `ASSISTANT_UPDATER_LOGS_${CDFILIAL}`;
            if(CDCAIXA) room = `${room}_${CDCAIXA}`;
            return room;
        },
    };
    client = {
        default: 'ASSISTANT_CLIENT_ROOM',
    };
}
module.exports = new SocketRooms();